export interface Activity {
	actor: string;
	type: string;
	id: string;
}

export interface Article extends Activity {
	to: string[];
	cc: string[];
}

export interface Create extends Activity {
	to: string[];
	cc: string[];
	object: Activity;
}

export interface Follow extends Activity {
	object: string;
}

export interface Accept extends Activity {
	object: Follow;
}

export interface Undo extends Activity {
	object: Activity;
}

export interface Note extends Activity {
	inReplyTo: string;
	published: string;
	content: string;
	attributedTo: string;
}

export interface Actor {
	id: string;
	inbox: string;
}